# Class DirectoriesXml

java.lang.Object
net.sf.statcvs.pages.xml.DirectoriesXml

public class DirectoriesXml extends Object

## Constructor Summary

Constructors
Constructor
Description
`DirectoriesXml(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`org.jdom.Element`
`toFile()`
returns jdom element which contains data extracted from the SortedSet of directories

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirectoriesXml

public DirectoriesXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

## Method Details

### toFile

public org.jdom.Element toFile()
returns jdom element which contains data extracted from the SortedSet of directories